configfile: 'config.yaml'


rule match:
    '''
    Match strain names to NCBI nodes.
    This step uses `alvisnlp`.
    '''
    output:
        directory(config['OUTDIR'] + '/' + config['DSMZ_MATCH_DIR'])

    input:
        config['OUTDIR'] + '/' + config['DSMZ_STRAINS_DIR']

    shell: '''./dsmz-match.py {config[OUTDIR]}/{config[NCBI_DIR]}/nodes.dmp {config[OUTDIR]}/{config[NCBI_DIR]}/names.dmp {input} {output}'''
